Package ghidra.app.util.bin.format.pe.cli.tables

# Class CliTableAssemblyOS

java.lang.Object
ghidra.app.util.bin.format.pe.cli.tables.CliAbstractTable
ghidra.app.util.bin.format.pe.cli.tables.CliTableAssemblyOS

All Implemented Interfaces:
  `PeMarkupable`, `StructConverter`

public class CliTableAssemblyOS extends CliAbstractTable
Describes the AssemblyOS table. Apparently it is ignored by the CLI and shouldn't be found in an Assembly.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `CliTableAssemblyOS.CliAssemblyOSRow`

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.bin.format.pe.cli.tables.CliAbstractTable

  `blobs, metadataStream, numRows, PATH, readerOffset, rows, strings, tableType, userStrings`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CliTableAssemblyOS(BinaryReader reader, CliStreamMetadata stream, CliTypeTable tableId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataType`
  `getRowDataType()`
  Gets the data type of a row in this table.
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class ghidra.app.util.bin.format.pe.cli.tables.CliAbstractTable

  `getNumRows, getRow, getRowRepresentationSafe, getRowShortRepSafe, getRowSize, getTableSize, getTableType, markup, readBlobIndex, readGuidIndex, readStringIndex, readTableIndex, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CliTableAssemblyOS

    public CliTableAssemblyOS(BinaryReader reader, CliStreamMetadata stream, CliTypeTable tableId) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getRowDataType

    public DataType getRowDataType()
    Description copied from class: `CliAbstractTable`
    Gets the data type of a row in this table.
    Specified by:
      `getRowDataType` in class `CliAbstractTable`
    Returns:
      The data type of a row in this table.

  - ### toDataType

    public DataType toDataType()
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Overrides:
      `toDataType` in class `CliAbstractTable`
    Returns:
      returns a structure datatype representing the implementor of this interface
    See Also:
      - `StructureDataType`